PostgreSQL 13 Support

26 views
Skip to first unread message

Darius Linder

unread,
Jun 2, 2021, 2:51:47 PMJun 2
to NetBox
We are currently running PostgreSQL 9.6.21 and looking to upgrade to the latest version of PostgreSQL 13. From looking at https://netbox.readthedocs.io/en/stable/installation/1-postgresql, I see that PostgreSQL needs to be version 9.6 or later. Most of the screen shots I see on the NetBox documentation shows PostgreSQL 12.x. Could someone validate that PostgreSQL 13 is supported with NetBox version 2.11.3?

Fraser Clark

unread,
Jun 2, 2021, 3:00:49 PMJun 2
to Darius Linder, NetBox
I use postgresql 13 and I am on version 2.11.3.
I didn't upgrade though, I built a new server with pgsql 13 and a fresh install of netbox. I didn't have any issues with doing this.

On Wed, 2 Jun 2021 at 19:51, Darius Linder <darius...@gmail.com> wrote:
We are currently running PostgreSQL 9.6.21 and looking to upgrade to the latest version of PostgreSQL 13. From looking at https://netbox.readthedocs.io/en/stable/installation/1-postgresql, I see that PostgreSQL needs to be version 9.6 or later. Most of the screen shots I see on the NetBox documentation shows PostgreSQL 12.x. Could someone validate that PostgreSQL 13 is supported with NetBox version 2.11.3?

--
You received this message because you are subscribed to the Google Groups "NetBox" group.
To unsubscribe from this group and stop receiving emails from it, send an email to netbox-discus...@googlegroups.com.
To view this discussion on the web visit https://groups.google.com/d/msgid/netbox-discuss/4145f0bd-6d4d-44c0-b32d-7c0d8b995eb7n%40googlegroups.com.

Darius Linder

unread,
Jun 28, 2021, 9:30:54 PMJun 28
to NetBox
Following to my own comment on this item... We just upgraded to PostgreSQL version 13.3 and all seems to be working fine with NetBox version 2.11.6.
Reply all
Reply to author
Forward
0 new messages